Bug 1763929 - 4.x oc client is not compatible with OCP 3.11 for some resources [NEEDINFO]
Summary: 4.x oc client is not compatible with OCP 3.11 for some resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks: 1772463 1772467
TreeView+ depends on / blocked
 
Reported: 2019-10-22 01:41 UTC by Priyanka Kanthale
Modified: 2020-01-23 11:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1772463 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:08:30 UTC
Target Upstream Version:
maszulik: needinfo? (eparis)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 164 0 'None' closed Bug 1763929: Set TypeSetter in get print flags, like we do everywhere elsewhere 2020-05-04 14:33:43 UTC
Github openshift origin pull 24066 0 'None' closed Bug 1772467: UPSTREAM: 84612: Set TypeSetter in get print flags, like we do everywhere else 2020-05-04 14:33:43 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:08:49 UTC

Description Priyanka Kanthale 2019-10-22 01:41:46 UTC
Description of problem:

The open shift 4.1 CLI can't get SecurityContextConstraints from 3.11 openshift.


# oc get SecurityContextConstraints restricted -o name
error: attempt to print an ungroupified object: /v1, Kind=SecurityContextConstraints

oc version
Client Version: version.Info{Major:"4", Minor:"1+", GitVersion:"v4.1.18-201909201915+53a7fbd-dirty", GitCommit:"53a7fbd", GitTreeState:"dirty", BuildDate:"2019-09-21T03:15:55Z", GoVersion:"go1.11.13", Compiler:"gc", Platform:"darwin/amd64"}
Server Version: version.Info{Major:"1", Minor:"11+", GitVersion:"v1.11.0+d4cacc0", GitCommit:"d4cacc0", GitTreeState:"clean", BuildDate:"2019-09-12T23:41:09Z", GoVersion:"go1.10.8", Compiler:"gc", Platform:"linux/amd64"}


Actual results: Error is encountered. 


Expected results:
 # oc get SecurityContextConstraints restricted -o name
securitycontextconstraints.security.openshift.io/restricted



Additional info:

Comment 5 Maciej Szulik 2019-11-19 20:17:56 UTC
The PR merged, moving to MODIFIED.

Comment 7 zhou ying 2019-11-21 09:05:17 UTC
Confirmed with 4.3 oc , the issue has fixed:

[zhouying@dhcp-140-138 Glai]$ oc get SecurityContextConstraints restricted -o name
Error from server (Forbidden): securitycontextconstraints "restricted" is forbidden: User "zhouy" cannot get securitycontextconstraints at the cluster scope: RBAC: [clusterrole.rbac.authorization.k8s.io "system:admin" not found, clusterrole.rbac.authorization.k8s.io "clusteradmin" not found]

[zhouying@dhcp-140-138 Glai]$ oc get SecurityContextConstraints restricted -o name
securitycontextconstraints.security.openshift.io/restricted

[zhouying@dhcp-140-138 Glai]$ oc version
Client Version: v4.3.0
Kubernetes Version: v1.11.0+d4cacc0

Comment 9 errata-xmlrpc 2020-01-23 11:08:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.